roller-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kranthi kumar <>
Subject Re: Roller 4.0 working source code
Date Tue, 04 Nov 2008 12:42:04 GMT

Thanks for the reply.
I have followed the link and tried to compile the roller using the ant dist
command. I am getting around 57 errors and all those errors are from
org.apache.roller.weblogger.util.MailUtil. I understood that it is because
of the missing of some .jar files related to mail. Where can i get the
required .jar files and where should i place those jar files so that the
application compiles fine.

Dave Johnson-8 wrote:
> On Tue, Nov 4, 2008 at 4:10 AM, kranthi kumar
> <> wrote:
>>    I need to customize roller 4.0 as per my requirements. To do that i
>> need
>> the working source code of roller 4.0. I downloaded the source code from
> That is the correct location for source code download.
>> I opened it in eclipse and found some
>> errors. Following are some of the errors.
>> The import org.apache.roller.pojos.WeblogEntryData cannot be resolved
>> The import org.apache.roller.pojos.WebsiteData cannot be resolved
>> The import cannot be
>> resolved
>> Also upon checking the package i was not able to find the above files.
>> So where can i download the correct source code for apache roller 4.0.
>> Please advice me....
> You can safely ignore those error messages.
> Those classes are referenced only by the deprecated ReadMore and
> Textile plugins in the contrib directory.
> Follow the instructions here to build Roller:
> - Dave

View this message in context:
Sent from the Roller - Dev mailing list archive at

View raw message